
function mess()
{
	alert("jmlkmlkml");	
	
	document.getElementById('valide').value="ok";
			
}


function toto()
{
	alert("passage");	
	
	document.getElementById('valide').value="ok";
			
}

function boite(val) {
	
                Ld1Id=val; //id_département
        
                document.getElementById('Ld1').value = Ld1Id;

}



function traitement()
	{
		var errors = [];
		var alphaExp = /^[a-zA-Z]+$/;
		var numericExpression = /^[0-9]+$/;
		
		var email = document.getElementById('email').value;
		var identifiant = document.getElementById('identifiant').value;
		
		var password1 = document.getElementById('password1').value;
		var password2 = document.getElementById('password2').value;
		
		var telephone = document.getElementById('telephone').value;
		
		
		
		var test0 =document.enregistrer.civ[0].checked ;
		var test1 =document.enregistrer.civ[1].checked ;
		var test2 =document.enregistrer.civ[2].checked ;
		
		
		//var civilite = document.getElementById('civ').value;
		
		
		var nom = document.getElementById('nom').value;
		var prenom = document.getElementById('prenom').value;
		var adr = document.getElementById('adr1').value;
		var cp = document.getElementById('cp').value;
		var ville = document.getElementById('ville').value;
		
		alert("Trace");
		
		
		if(email == "")
		{	 errors[errors.length] = "Vous devez saisir votre email.";
		  
 		}
 		else {   var trame= /^\w+([.-]\w+)*@\w+([.-]\w+)*\.\w{2,8}$/;
			 if(trame.test(email) == false )
			   { errors[errors.length] = "Votre email n'est pas valide.";
			    
			   }  
		     }
		
		
		if(identifiant == "")
		{	 errors[errors.length] = "Vous devez saisir un identifiant.";
			 
		   
 		}
 		else {
			   if ( identifiant.length <6 || identifiant.length >12 )
				{  errors[errors.length] = "L'identifiant doit comporter au moins 6 caractéres et 12 au plus.";
				   
		  		}
			 }
		
		
		if(password1 == "")
		{	 errors[errors.length] = "Vous devez saisir votre password.";
		        
		  
 		}
 		
 		else {
			   if ( password1.length <6 || password1.length >10 )
				{  errors[errors.length] = "Le password doit comporter au moins 6 caractéres et 10 au plus.";
				   
		  		}
			 }
 		
		     
		
		if(password2 == "")
		{	 errors[errors.length] = "Vous devez confirmer votre password.";
		         
		  
 		}
 		
 		else {
 		
 			 if ( password1 != password2)
				{  errors[errors.length] = "Le password n'est pas identique.";
				   
		  		}
		     }
		
		
		if(telephone == "")
		{	 errors[errors.length] = "Vous devez donner un numéro de téléphone.";
		         
		  
 		}
		
		else {  
			    if(!telephone.match(numericExpression))
		  	      { 
				    errors[errors.length] = "Votre numéro de téléphone n'est pas valide.";
				    
		          }
				  
				 else { 
				         if ( telephone.length <10 )
					   {  errors[errors.length] = "Votre numéro de téléphone n'est pas valide.";
					      
					   }
				      }
			 }
		
		if( test0 == false && test1 == false && test2 == false )
		   {  errors[errors.length] = "Vous devez renseigner le champ civilité.";
		   }
		
		
		if(nom == "")
		{	 errors[errors.length] = "Saisir votre nom.";
		         
		    
 		}
		else {
			    if(!nom.match(alphaExp))
		  	      { errors[errors.length] = "Votre nom doit contenir uniquement des lettres.";
		  	        
		          }
			 }
	
		
		if(prenom == "")
		{	 errors[errors.length] = "Saisir votre prénom.";
		         
		    
 		}
		else {  
			    if(!prenom.match(alphaExp))
		  	      { 
				    errors[errors.length] = "Votre prénom doit contenir uniquement des lettres.";
				    
		          }
			 }
		
		if(adr == "")
		{	 errors[errors.length] = "Saisir votre adresse.";
		        
		    
 		}
		
		
		if(cp == "")
		{	 errors[errors.length] = "Saisir votre code postal.";
		         
		    
 		}
		else {  
			    if(!cp.match(numericExpression))
		  	      { 
				    errors[errors.length] = "Votre code postal doit contenir uniquement des chiffres.";
				    
		          }
				  
				 else { 
				         if ( cp.length <5 )
					    {  errors[errors.length] = "Votre code postal est invalide.";
			 		       
					    }
				      }
		  }
			 		
		if(ville == "")
		{	 errors[errors.length] = "Saisir le nom de votre ville.";
			 
		    
 		}		
		else {
			    if(!ville.match(alphaExp))
		  	      { errors[errors.length] = "Le nom de votre ville doit contenir uniquement des lettres.";
		  	        
		          }
			 }
		
					
					
		if (errors.length > 0)
		{
		  reportErrors(errors);
		  return false;
		  
		}
	        else { 
	               alert(" Passage1");
			document.getElementById('valide').value="ok";
			alert(" Passage2");
			;return true;	
	             }	

		function reportErrors(errors)
		{
		  var msg = "Veuillez apporter les corrections suivantes...\n";
		  for (var i = 0; i<errors.length; i++) 
		  {
			 var numError = i + 1;
		     msg += "\n" + numError + ". " + errors[i];
		  }
		 alert(msg);
		}


		
	}
		